net/snort - The NetBSD Packages Collection

The Open Source Network Intrusion Detection System

  Snort is a libpcap-based packet sniffer/logger which can be used
as a lightweight network intrusion detection system.  It features
rules based logging and can perform protocol analysis, content
searching/matching and can be used to detect a variety of attacks
and probes, such as buffer overflows, stealth port scans, CGI
attacks, SMB probes, OS fingerprinting attempts, and much more.

  Snort has a real-time alerting capability, with alerts being sent
to syslog or a separate "alert" file.   As of version 1.1 it can
also send WinPopup messages via Samba.

Build dependencies

devel/bison devel/flex pkgtools/cwrappers devel/libtool-base shells/bash devel/pkgconf

Runtime dependencies

net/daq www/nghttp2 lang/LuaJIT2 net/libdnet devel/pcre www/nghttp2 net/libdnet devel/pcre

Binary packages

OSArchitectureVersion
NetBSD 8.0i386snort-2.9.16.1.tgz
NetBSD 8.0i386snort-2.9.16.1.tgz
NetBSD 8.0powerpcsnort-2.9.16.1.tgz
NetBSD 8.0powerpcsnort-2.9.16.1.tgz
NetBSD 8.0powerpcsnort-2.9.16.1.tgz
NetBSD 8.0x86_64snort-2.9.16.1.tgz
NetBSD 8.0x86_64snort-2.9.16.1.tgz
NetBSD 9.0i386snort-2.9.16.1.tgz
NetBSD 9.0i386snort-2.9.16.1.tgz
NetBSD 9.0powerpcsnort-2.9.16.1.tgz
NetBSD 9.0powerpcsnort-2.9.16.1.tgz
NetBSD 9.0powerpcsnort-2.9.16.1.tgz
NetBSD 9.0x86_64snort-2.9.16.1.tgz
NetBSD 9.0x86_64snort-2.9.16.1.tgz
NetBSD 9.0x86_64snort-2.9.16.1.tgz
NetBSD 9.0x86_64snort-2.9.16.1.tgz
NetBSD 9.0x86_64snort-2.9.16.1.tgz
NetBSD 9.0x86_64snort-2.9.16.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

debug
Enable debugging facilities in the package.
snmp
Enable SNMP support.
snort-dynamicplugin
snort-gre
snort-prelude
Enable support for the Prelude Hybrid IDS system.
snort-rulestate
snort-timestats
ssl
Enable SSL support.
snort-flexresp
Flexible responses on hostile connection attempts.
snort-flexresp2
Newer flexible responses on hostile connection attempts.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.